Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157910 - No openmotif21 package for ppc
Summary: No openmotif21 package for ppc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openmotif21
Version: 4
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-16 22:53 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-29 09:26:06 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2005-05-16 22:53:07 UTC
Description of problem:
There is no openmotif21 package for ppc.

Version-Release number of selected component (if applicable):
openmotif21-2.1.30-14

Comment 1 Colin Charles 2005-05-17 09:43:35 UTC
FWIW, the spec file mentions it to be: ExclusiveArch: i386 alpha ia64. I presume
this was added there for it not building well on the s390's and what not...

So, this following patch gets it to a build-able stage:

--- devel/openmotif21.spec~     2005-05-17 09:21:51.000000000 +1000
+++ devel/openmotif21.spec      2005-05-17 09:21:59.000000000 +1000
@@ -31,7 +31,7 @@ Patch25: openmotif2.1.30-no_x_locale.pat
 Patch26: openmotif2.1.30-exit.patch
 Prefix: /usr/X11R6
 Conflicts: openmotif < 2.2.2
-ExclusiveArch: i386 alpha ia64
+ExclusiveArch: i386 alpha ia64 ppc
 BuildRequires: xorg-x11-devel
 BuildRequires: xorg-x11-deprecated-libs-devel

And gives me 
openmotif21-2.1.30-14.ppc.rpm  openmotif21-debuginfo-2.1.30-14.ppc.rpm

Haven't qa'ed it or anything, if bug reporter gives me an app requiring this,
I'd take a gander, definitely. twoerner, this is also EasyFix (assuming there
are no arch specific issues)

Comment 2 Orion Poplawski 2005-05-17 19:42:28 UTC
Perhaps it could be built for x86_64 while we're at it?  Is there a way to
simply turn off the bad arch?

Comment 3 Colin Charles 2005-05-28 01:54:21 UTC
this is a really EasyFix... but too late for FC4 probably.

Comment 4 Thomas Woerner 2005-08-29 09:26:06 UTC
Fixed in rawhide in rpm openmotif21-2.1.30-17.1.


Note You need to log in before you can comment on or make changes to this bug.